fllib.cpp File Reference

Code for handling of object (and library) creation functions. More...

`#include "flext.h"`
`#include "flinternal.h"`
`#include <cstdarg>`
`#include <cstring>`
`#include <cctype>`
`#include <map>`
`#include "flpushns.h"`
`#include "flpopns.h"`

## Classes

class | flext_library
class | flext_class

## Macros

#define | __FLEXT_LIB_CPP
#define | ALIASDEL ','
#define | ALIASSLASHES ":/\\"
#define | ALIASSLASH '/'
#define | NEWARGS 256

## Typedefs

typedef flext_obj *(* | libfun) (int, t_atom *)

## Functions

const char * | extract (const char *name, int ix=0)
| Extract space-delimited words from a string.

## Detailed Description

Code for handling of object (and library) creation functions.

## Macro Definition Documentation

## __FLEXT_LIB_CPP

#define __FLEXT_LIB_CPP

## ALIASDEL

#define ALIASDEL ','

## ALIASSLASH

#define ALIASSLASH '/'

## ALIASSLASHES

#define ALIASSLASHES ":/\\"

## NEWARGS

#define NEWARGS 256

## Typedef Documentation

## libfun

typedef flext_obj *(* libfun) (int, t_atom *)

## Function Documentation

## extract()

const char * extract | ( | const char * | name,
|  | int | ix = 0 )

Extract space-delimited words from a string.